Skip to main content
GET
/
api
/
v1
/
accounts
/
{idOrAliasOrEvmAddress}
/
airdrops
/
pending
Get pending token airdrops received by an account
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/accounts/{idOrAliasOrEvmAddress}/airdrops/pending
{
  "airdrops": [
    {
      "amount": 10,
      "receiver_id": "0.0.15",
      "sender_id": "0.0.10",
      "serial_number": null,
      "timestamp": {
        "from": "1651560386.060890949",
        "to": "1651560386.661997287"
      },
      "token_id": "0.0.99"
    }
  ],
  "links": {
    "next": null
  }
}

Path Parameters

idOrAliasOrEvmAddress
string
required

Account alias or account id or evm address

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$

Query Parameters

limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:asc

The order in which items are listed

Available options:
asc,
desc
sender.id
string

The ID of the sender to return information for

Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
serialnumber
string

The nft serial number (64 bit type). Requires a tokenId value also be populated.

Pattern: ^((eq|gt|gte|lt|lte):)?\d{1,19}?$
token.id
string

The ID of the token to return information for

Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$

Response

OK

airdrops
object[]